List connections
curl --request GET \
--url https://posted-api.example.com/api/connections \
--header 'Authorization: Bearer <token>'import requests
url = "https://posted-api.example.com/api/connections"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://posted-api.example.com/api/connections', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://posted-api.example.com/api/connections",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://posted-api.example.com/api/connections"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://posted-api.example.com/api/connections")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://posted-api.example.com/api/connections")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"items": [
{
"id": "11111111-1111-4111-8111-111111111111",
"provider": "bluesky",
"accountId": "did:plc:example",
"name": "Alex Morgan",
"handle": "alex.example.test",
"avatarUrl": null,
"state": "connected",
"createdAt": "2027-01-18T09:30:00.000Z",
"connectedBy": {
"id": "66666666-6666-4666-8666-666666666666",
"name": "Alex Morgan",
"avatarUrl": null
},
"lastPublished": null,
"scheduledCount": 1
}
]
}{
"error": {
"code": "<string>",
"message": "<string>",
"requestId": "<string>"
}
}List connections
List this team’s connected social accounts. Credentials are never returned.
GET
/
api
/
connections
List connections
curl --request GET \
--url https://posted-api.example.com/api/connections \
--header 'Authorization: Bearer <token>'import requests
url = "https://posted-api.example.com/api/connections"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://posted-api.example.com/api/connections', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://posted-api.example.com/api/connections",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://posted-api.example.com/api/connections"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://posted-api.example.com/api/connections")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://posted-api.example.com/api/connections")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"items": [
{
"id": "11111111-1111-4111-8111-111111111111",
"provider": "bluesky",
"accountId": "did:plc:example",
"name": "Alex Morgan",
"handle": "alex.example.test",
"avatarUrl": null,
"state": "connected",
"createdAt": "2027-01-18T09:30:00.000Z",
"connectedBy": {
"id": "66666666-6666-4666-8666-666666666666",
"name": "Alex Morgan",
"avatarUrl": null
},
"lastPublished": null,
"scheduledCount": 1
}
]
}{
"error": {
"code": "<string>",
"message": "<string>",
"requestId": "<string>"
}
}Read access: a read-enabled personal or team REST API key, or a signed-in user. OAuth clients use the corresponding MCP tool through /mcp.
List this team’s connected social accounts. Credentials are never returned.
Credentials are never returned. Each account includes connection attribution, last confirmed publication and its pending-delivery count.
MCP clients can use
list_connections for this operation.
Request conventions · API keys · MCP connectionsWas this page helpful?
